UGSMOOTH(1)

NAME
UGsmooth - send UGear-formatted GPS data to a FlightGear instance

SYNOPSIS
UGsmooth --help
    | --infile infile_name [options]...
    | --flight flight_dir [options]...
    | --serial dev_name --outfile outfile_name [options]...

DESCRIPTION
UGsmooth is a utility that reads GPS data in UGear format from a text file, a directory containing flight data or from a device connected to the serial port, parses it and sends it to a FlightGear instance for replaying.

OPTIONS

--help
    Display usage information and exit.

--infile infile_name
    Read GPS data from infile_name.

--flight flight_dir
    Read GPS data from the flight directory named flight_dir.

--serial dev_name
    Read GPS data from the serial device named dev_name.

--outfile outfile_name
    Save the data retrieved from the device to outfile_name.

--hertz frequency
    Specify the frequency to use for sending data to the FlightGear instance. By default, events are sent at a frequency of 60 Hz.

--host hostname
    Send the data to the FlightGear instance running on hostname. If --host is not specified, the default is to send the data to localhost.

--broadcast
    Send flight data model and control data as broadcast packets.

--opengc-port port
    Set the port OpenGC data should be sent to. By default, data is sent to port 6000.

--fdm-port port
    Set the port flight data model data should be sent to. By default, data is sent to port 5505.

--ctrls-port port
    Set the port control data should be sent to. By default, data is sent to port 5506.

--groundtrack-heading
    Calculate the aircraft heading from the GPS velocity instead of using the raw heading recorded by the device.

--ground-speed
    Calculate the ground speed from the GPS velocity instead of using the raw speed recorded by the device.

--estimate-control-deflections
    Estimate control deflections from the angular velocities instead of using the raw deflections recorded by the device.

--altitude-offset meters
    Add the specified offset (in meters) to the altitude sent to FlightGear.

--skip-seconds seconds
    Do not transmit the first seconds seconds of data. This option is ignored when reading GPS data from a serial device.

--no-real-time
    Do not update the elapsed time.

--ignore-checksum
    Do not discard data with invalid checksums. This option is ignored when reading GPS data from a flight directory.

--sg-swap
    Activate the special double swap logic for the (non-standard) stargate double format.

EXIT STATUS
UGsmooth exits with 0 on success, with -1 if the syntax of the command-line arguments is wrong or an error occurs.

SEE ALSO
fgfs(1), GPSsmooth(1), MIDGsmooth(1)